/*
 * atom_atominfo.hpp
 *
 *  Created on: Oct 19, 2009
 *      Author: heber
 */

#ifndef ATOM_ATOMINFO_HPP_
#define ATOM_ATOMINFO_HPP_


using namespace std;

/*********************************************** includes ***********************************/

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "vector.hpp"

/****************************************** forward declarations *****************************/

class element;

/********************************************** declarations *******************************/

class AtomInfo {
public:
  Vector x;       //!< coordinate vector of atom, giving last position within cell
  Vector v;       //!< velocity vector of atom, giving last velocity within cell
  Vector F;       //!< Force vector of atom, giving last force within cell
  element *type;  //!< pointing to element

  AtomInfo();
  ~AtomInfo();

private:
};

#endif /* ATOM_ATOMINFO_HPP_ */
