/*
 * atom_bondedparticleinfo.hpp
 *
 *  Created on: Oct 19, 2009
 *      Author: heber
 */

#ifndef ATOM_BONDEDPARTICLEINFO_HPP_
#define ATOM_BONDEDPARTICLEINFO_HPP_


using namespace std;

/*********************************************** includes ***********************************/

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <list>

/****************************************** forward declarations *****************************/

class bond;

#define BondList list<bond *>

/********************************************** declarations *******************************/

class BondedParticleInfo {
public:
  unsigned char AdaptiveOrder;  //!< current present bond order at site (0 means "not set")
  bool MaxOrder;  //!< whether this atom as a root in fragmentation still creates more fragments on higher orders or not
  BondList ListOfBonds; //!< list of all bonds

  BondedParticleInfo();
  ~BondedParticleInfo();

private:

};


#endif /* ATOM_BONDEDPARTICLEINFO_HPP_ */
